This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 55830 - epsfig problem
epsfig problem
Status: CLOSED WORKSFORME
Product: Red Hat Raw Hide
Classification: Retired
Component: tetex (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-07 08:25 EST by Michael Redinger
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-07 11:10:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
testcase for EPS problems (12.96 KB, application/octet-stream)
2001-11-07 08:35 EST, Michael Redinger
no flags Details

  None (edit)
Description Michael Redinger 2001-11-07 08:25:20 EST
A user just told me about some other problems. He was using TeXLive
previousely. With the Red Hat 7.x TeX RPMS (I'm actually trying this with
the latest Rawhide version, tetex-1.0.7-35) he's experiencing problems
with epsfig (he says TeXLive has the same epsfig version which works
fine with this example).

An example is given below.

1st \epsfig:
scale isn't used, but the string "0.65" is shown below the image (the
LaTeX Companion doesn't mention a parameter scale; with TeXLive this
works.)

2nd \epsfig:
produces an error:
###
! Illegal unit of measure (pt inserted).
<to be read again> 
                   \edef 
l.8 ...urx=572,bbury=122,file=sol-3-fig.eps,clip=}
###
The LaTeX companion says this should work fine ...


As I don't use things like that in LaTeX (me=bloody user) I wonder if
that should work ...



# begin example
\documentclass[11pt,a4paper,twocolumn,fleqn]{article}
\usepackage{epsfig,umlaut,t1enc,times,latexsym}

\begin{document}

    \epsfig{figure=dehnung.eps, scale=0.65}

   
\epsfig{bbllx=392,bblly=15,bburx=572,bbury=122,file=sol-3-fig.eps,clip=}

\end{document}
# end example
Comment 1 Tim Waugh 2001-11-07 08:26:52 EST
Please submit a complete test case, include EPS figures.  From this 
description, I haven't been able to reproduce the problem.  Thanks.
Comment 2 Michael Redinger 2001-11-07 08:35:54 EST
Created attachment 36761 [details]
testcase for EPS problems
Comment 3 Tim Waugh 2001-11-07 09:11:34 EST
Thanks.  I still can't see the bug though:

[tim@cyberelk epsprob-example]$ latex rdv-opt.tex
This is TeX, Version 3.14159 (Web2C 7.3.1)
(rdv-opt.tex
LaTeX2e <2000/06/01>
Babel <v3.7h> and hyphenation patterns for american, french, german, ngerman, 
i talian, nohyphenation, loaded.
(/usr/share/texmf/tex/latex/base/article.cls
Document Class: article 2000/05/19 v1.4b Standard LaTeX document class
(/usr/share/texmf/tex/latex/base/fleqn.clo)
(/usr/share/texmf/tex/latex/base/size11.clo))
(/usr/share/texmf/tex/latex/graphics/epsfig.sty
(/usr/share/texmf/tex/latex/graphics/graphicx.sty
(/usr/share/texmf/tex/latex/graphics/keyval.sty)
(/usr/share/texmf/tex/latex/graphics/graphics.sty
(/usr/share/texmf/tex/latex/graphics/trig.sty)
(/usr/share/texmf/tex/latex/config/graphics.cfg)
(/usr/share/texmf/tex/latex/graphics/dvips.def))))
(/usr/share/texmf/tex/latex/umlaute/umlaut.sty)
(/usr/share/texmf/tex/latex/base/inputenc.sty
(/usr/share/texmf/tex/latex/base/latin1.def))
(/usr/share/texmf/tex/latex/base/t1enc.sty)
(/usr/share/texmf/tex/latex/psnfss/times.sty)
(/usr/share/texmf/tex/latex/base/latexsym.sty)
No file rdv-opt.aux.
(/usr/share/texmf/tex/latex/psnfss/t1ptm.fd) <dehnung.eps>
Overfull \hbox (10.47182pt too wide) in paragraph at lines 6--7
[][]
<sol-3-fig.eps> [1] (rdv-opt.aux) )
(see the transcript file for additional information)
Output written on rdv-opt.dvi (1 page, 368 bytes).
Transcript written on rdv-opt.log.

This is with tetex-1.0.7-35.
Comment 4 Michael Redinger 2001-11-07 11:03:40 EST
Hm, the only differences I see are the epsfig.sty and t1ptm.fd lines - see my
output below.

If this doesn't help this is probably WORKSFORME. :(

Michael

[mred@zid-gpl epsprob-example]$ latex rdv-opt.tex
latex rdv-opt.tex 
This is TeX, Version 3.14159 (Web2C 7.3.1)
(rdv-opt.tex
LaTeX2e <2000/06/01>
Babel <v3.7h> and hyphenation patterns for american, french, german, ngerman, i
talian, nohyphenation, loaded.
(/usr/share/texmf/tex/latex/base/article.cls
Document Class: article 2000/05/19 v1.4b Standard LaTeX document class
(/usr/share/texmf/tex/latex/base/fleqn.clo)
(/usr/share/texmf/tex/latex/base/size11.clo))
(/usr/share/texmf/tex/latex/extras/epsfig.sty
Document style option `epsfig', v1.20a <21.6.94> (edited by SPQR + pks)
(/usr/share/texmf/tex/plain/dvips/epsf.tex
This is `epsf.tex' v2.7k <10 July 1997>
)) (/usr/share/texmf/tex/latex/umlaute/umlaut.sty)
(/usr/share/texmf/tex/latex/base/inputenc.sty
(/usr/share/texmf/tex/latex/base/latin1.def))
(/usr/share/texmf/tex/latex/base/t1enc.sty)
(/usr/share/texmf/tex/latex/psnfss/times.sty)
(/usr/share/texmf/tex/latex/base/latexsym.sty) (rdv-opt.aux)
(/usr/share/texmf/tex/latex/psnfss/t1ptm.fd)
<dehnung.eps>

Overfull \hbox (148.37607pt too wide) in paragraph at lines 6--6
[]\T1/ptm/m/n/10.95 0.65[] 

Overfull \hbox (10.95003pt too wide) in paragraph at lines 6--7
[][] 
! Illegal unit of measure (pt inserted).
<to be read again> 
                   \edef 
l.8 ...urx=572,bbury=122,file=sol-3-fig.eps,clip=}
                                                  
? 
Comment 5 Tim Waugh 2001-11-07 11:10:07 EST
The /usr/share/texmf/tex/latex/extras/ directory is not part of the Red Hat 
Linux teTeX packages.

Is that epsfig newer or older than the one in graphics/?
Comment 6 Michael Redinger 2001-11-07 16:11:22 EST
Ok, this was soley my fault: I installed tetex-extras (from ftp.sylvan.com which
provides LyX RPM packages) and just forgot about it when writing this bug report
... epsfig.sty from the Red Hat tetex package is much newer.
Sorry. Closing as WORKSFORME.
Thanks for your help,
Michael

Note You need to log in before you can comment on or make changes to this bug.